%define upstream_name    String-Trim-More
%define upstream_version 0.03

Name:           perl-String-Trim-More
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 2
Summary:        Various string trimming utilities
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
Group:          Development/Perl
URL:            https://metacpan.org/release/String-Trim-More
Source0:        https://cpan.metacpan.org/authors/id/P/PE/PERLANCAR/%{upstream_name}-%{upstream_version}.tar.gz
BuildArch:      noarch

BuildRequires:  make
BuildRequires:  perl(blib)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(IPC::Open3)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::More) >= 0.98
BuildRequires:  perl(warnings)



%description
This is an alternative to String::Trim. Instead of a single trim function, this
module provides several from which you can choose on, depending on your needs.


%prep
%autosetup -n %{upstream_name}-%{upstream_version}


%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build


%install
%make_install
%{_fixperms} %{buildroot}/*


%check
make test


%files
%doc Changes README
%license LICENSE
%{perl_vendorlib}/*
%{_mandir}/man3/String::Trim::More*.*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 0.30.0-2.mga10
+ Revision: 2228526
- Mageia 10 Mass Rebuild

* Thu Oct 03 2024 daviddavid <daviddavid> 0.30.0-1.mga10
+ Revision: 2102837
- use our %%perl_convert_version macro

* Thu Oct 03 2024 daviddavid <daviddavid> 0.03-1.mga10
+ Revision: 2102825
- imported package perl-String-Trim-More

